Package twisted :: Package persisted :: Package journal :: Module picklelog :: Class DirDBMLog

[show private | hide private]
[frames | no frames]

## Class DirDBMLog

Log pickles to DirDBM directory.

Method Summary
| `__init__(self, logPath)`
| `getCommandsSince(self, index)`
| ``getCurrentIndex`(self)` Return index of last command logged.
| ``logCommand`(self, command, time)` Log a command.

Class Variable Summary
`MetaInterface` | `__implements__`

Method Details

### getCurrentIndex(self)

Return index of last command logged.

### logCommand(self, command, time)

Log a command.

Class Variable Details

### __implements__

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.persisted.journal.base.ICommandLog'>

Generated by Epydoc 1.1 on Thu May 8 13:16:34 2003 | http://epydoc.sf.net